{**
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2018 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{literal}
  <script>
    {/literal}
      {if $tr_debug}
        window._trx_debug = true;
      {/if}
    {literal}
    window._trx = window._trx || [];
    window._trx.push(
            {event: 'setAccount', account: '{/literal}{$tr_authKey}{literal}', country: '{/literal}{$tr_country}{literal}'},
            {event: 'setConfig', config: {
              'platform': {
                'name': 'Prestashop',
                'version': '{/literal}{$tr_ps}{literal}',
                'integrationVersion': '{/literal}{$tr_module}{literal}'
              }
            }},
            {/literal}
            {if ($page.page_name == 'index')}
              {literal}
                {event: 'viewHome'}
              {/literal}
            {elseif ($page.page_name == 'product')}
              {literal}
                {event: 'viewItem',
                  item: {
                    id: '{/literal}{$itemId}{literal}', 
                    price: '{/literal}{$itemPrice}{literal}', 
                    name: '{/literal}{$itemName}{literal}', 
                    categoryId: {/literal}{$itemCategoryDefaultId}{literal},
                    categoryName: '{/literal}{$itemCategoryDefaultName}{literal}',
                    {/literal}{if !empty($itemEan) && $itemEan != 0}{literal}barcode: '{/literal}{$itemEan}{literal}'{/literal}{/if}{literal}
                  }
                }
              {/literal}
            {elseif ($page.page_name == 'category')}
              {literal}
                {event: 'viewList',
                  items: [
                    {/literal}
                    {foreach from=$products item=product}
                    {literal}
                    {
                      id: {/literal}{$product.id}{literal}, 
                      price: {/literal}{$product.price}{literal}, 
                      name: '{/literal}{$product.name}{literal}', 
                      categoryId: {/literal}{$product.category_default_id}{literal},
                      categoryName: '{/literal}{$product.category_default_name}{literal}'
                    },
                    {/literal}
                    {/foreach}
                    {literal}
                  ]
                }
              {/literal}
            {elseif ($page.page_name == 'cart')}
              {literal}
                {event: 'viewBasket',
                  items: [
                    {/literal}
                    {foreach from=$products item=product}
                    {literal}
                    {
                      id: '{/literal}{$product.id}{literal}',
                      quantity: {/literal}{$product.quantity}{literal},
                      price: '{/literal}{$product.price}{literal}', 
                      name: '{/literal}{$product.name}{literal}', 
                      categoryId: {/literal}{$product.category_default_id}{literal},
                      categoryName: '{/literal}{$product.category_default_name}{literal}'
                    },
                    {/literal}
                    {/foreach}
                    {literal}
                  ]
                }
              {/literal}
            {elseif ($page.page_name == 'order-confirmation' || isset($orderId))}
              {literal}
                {event: 'trackTransaction',
                  transaction: {
                    id: '{/literal}{$orderId}{literal}',
                    subtotal: {/literal}{$orderSubtotal}{literal},
                    shipping: {/literal}{$orderShipping}{literal},
                    discount: {/literal}{$orderDiscount}{literal},
                    total: {/literal}{$orderTotal}{literal},
                    {/literal}{if !empty($orderCoupon)}{literal}coupon: '{/literal}{$orderCoupon}{literal}',{/literal}{/if}{literal}
                    currency: '{/literal}{$orderCurrency}{literal}',
                  },
                  items: [
                    {/literal}
                    {foreach from=$products item=product}
                    {literal}
                    {
                      id: {/literal}{$product.id}{literal},
                      price: {/literal}{$product.price}{literal},
                      quantity: {/literal}{$product.quantity}{literal},
                      categoryName: '{/literal}{$product.category_default_name}{literal}',
                      {/literal}{if !empty($product.ean) && $product.ean != 0}{literal}barcode: '{/literal}{$product.ean}{literal}'{/literal}{/if}{literal}
                    },
                    {/literal}
                    {/foreach}
                    {literal}
                  ],
                  address: {
                    address: '{/literal}{$address}{literal}',
                    {/literal}{if !empty($address2)}{literal}address2: '{/literal}{$address2}{literal}',{/literal}{/if}{literal}
                    city: '{/literal}{$addressCity}{literal}',
                    {/literal}{if !empty($addressPostalCode)}{literal}postalCode: '{/literal}{$addressPostalCode}{literal}',{/literal}{/if}{literal}
                    country: '{/literal}{$addressCountry}{literal}',
                    {/literal}{if !empty($addressPhone)}{literal}phone: '{/literal}{$addressPhone}{literal}',{/literal}{/if}{literal}
                    {/literal}{if !empty($addressPhoneMobile)}{literal}phoneMobile: '{/literal}{$addressPhoneMobile}{literal}',{/literal}{/if}{literal}
                  },
                  customer: {
                    firstName: '{/literal}{$customerFirstName}{literal}',
                    lastName: '{/literal}{$customerLastName}{literal}',
                    {/literal}{if !empty($customerCompany)}{literal}company: '{/literal}{$customerCompany}{literal}',{/literal}{/if}{literal}
                    email: '{/literal}{$customerEmail}{literal}',
                    {/literal}{if !empty($customerBirthDate) || $customerBirthDate != '0000-00-00'}{literal}birthdate: '{/literal}{$customerBirthDate}{literal}',{/literal}{/if}{literal}
                    gender: '{/literal}{$customerGender}{literal}',
                    optin: {/literal}{$customerOptIn}{literal}
                  },
                  touchpointType: '{/literal}{$touchPointType}{literal}',
                  {/literal}{if !empty($touchPointId)}{literal}touchpointId: '{/literal}{$touchPointId}{literal}',{/literal}{/if}{literal}
                }
              {/literal}
            {/if}
            {literal}
    );
  </script>
  <script src="https://static.transactionale.com/trx/v2/trx.js" async="true"></script>
{/literal}