<?php
/**
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2018 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

include_once(dirname(__FILE__) . '/../../config/config.inc.php');
include_once(dirname(__FILE__) . '/../../init.php');

$import = Configuration::get('TR_IMPORT_LEADS_AUTO');

if ($import) {
  $authkey = Configuration::get('TR_AUTH_KEY');
  if (Tools::getValue('auth') == $authkey) {
    if (Tools::getIsset('email')) {
      $email = Tools::getValue('email');
      if (Validate::isEmail($email)) {
        $is_customer = Db::getInstance()->getValue('SELECT id_customer FROM ' . _DB_PREFIX_ . 'customer WHERE id_shop = ' . Context::getContext()->shop->id . ' AND email = "' . $email . '" AND `is_guest` = 0');
        if ($is_customer) {
          $customer = new Customer($is_customer);
          $optin = $customer->optin;
          $newsletter = $customer->newsletter;
          if (!$optin || !newsletter) {
            $customer->optin = 1;
            $customer->newsletter = 1;
            $customer->save();
          } else {
            return http_response_code(400);
          }
        } else {
          $is_subscriber = Db::getInstance()->getValue('SELECT id FROM ' . _DB_PREFIX_ . 'emailsubscription WHERE id_shop = ' . Context::getContext()->shop->id . ' AND email = "' . $email . '"');
          if ($is_subscriber) {
            $is_active = Db::getInstance()->getValue('SELECT active FROM ' . _DB_PREFIX_ . 'emailsubscription WHERE id = ' . $is_subscriber);
            if (!$is_active) {
              Db::getInstance()->execute('UPDATE ' . _DB_PREFIX_ . 'emailsubscription SET active = 1 WHERE id = ' . $is_subscriber);
            } else {
              return http_response_code(400);
            }
          } else {
            Db::getInstance()->execute('INSERT INTO ' . _DB_PREFIX_ . 'emailsubscription (id_shop, id_shop_group, email, newsletter_date_add, ip_registration_newsletter, http_referer, active) VALUES (' . Context::getContext()->shop->id . ', ' . Context::getContext()->shop->id_shop_group . ', \'' . pSQL($email) . '\', NOW(), \'' . pSQL(Tools::getRemoteAddr()) . '\', "transactionale", 1)');
          }
        }
      } else {
        return http_response_code(304);
      }
    } else {
      return http_response_code(304);
    }
  } else {
    return http_response_code(401);
  }
} else {
  return http_response_code(401);
}